Bug 1562632 - Review Request: perl-Config-Std - Perl module to load and save configuration files in a standard format
Summary: Review Request: perl-Config-Std - Perl module to load and save configuration ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-01 16:46 UTC by Robert Scheck
Modified: 2018-04-11 19:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-07 22:13:56 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2018-04-01 16:46:52 UTC
Spec URL: https://labs.linuxnetz.de/bugzilla/perl-Config-Std.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/perl-Config-Std-0.903-1.src.rpm
Description: A perl module to load and save configuration files in a standard 
format. The configuration language is deliberately simple and limited, and the
module works hard to preserve as much information (section order, comments
etc.) as possible when a configuration file is updated.
Fedora Account System Username: robert

Comment 1 Robert-André Mauchin 🐧 2018-04-01 19:03:10 UTC
 - FIX: There's a semicolon missing after Source, which prevents the SPEC to be parsed correctly:

Source          http://search.cpan.org/CPAN/authors/id/B/BR/BRICKER/%{pkgname}-%{version}.tar.gz


 - BuildRequires
   FIX: Please add missing buildrequires:
    - make - used in spec
    - perl(Carp) - lib/Config/Std.pm:69
    - perl(Fcntl) - lib/Config/Std.pm:284
    - perl(strict) - lib/Config/Std.pm:6
    - perl(warnings) - lib/Config/Std.pm:7




URL and Source addresses are Ok.
Source archive (SHA-256: b7709ff663bd279d264ab9c2f51e9e9588479a3367a8c4cfc18659c2a11480fe) is original. Ok.
Summary verified from lib/Config/Std.pm. Ok.
Description verified from lib/Config/Std.pm. Ok.
License verified from lib/Config/Std.pm and README. Ok.
No XS code, noarch BuildArch is Ok.

All tests pass. Ok.


$ rpmlint perl-Config-Std.spec review-perl-Config-Std/results/perl-Config-Std-0.903-1.fc29.noarch.rpm review-perl-Config-Std/results/perl-Config-Std-0.903-1.fc29.src.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.


$ rpm -q -lv -p perl-Config-Std-0.903-1.fc29.noarch.rpm       20:40:30
drwxr-xr-x    2 root    root                        0 avril  1 20:36 /usr/share/doc/perl-Config-Std
-rw-r--r--    1 root    root                     2234 oct.  7 04:05 /usr/share/doc/perl-Config-Std/Changes
-rw-r--r--    1 root    root                      952 oct.  7 03:44 /usr/share/doc/perl-Config-Std/README
drwxr-xr-x    2 root    root                        0 avril  1 20:36 /usr/share/licenses/perl-Config-Std
-rw-r--r--    1 root    root                    18598 oct.  6 18:41 /usr/share/licenses/perl-Config-Std/LICENSE
-rw-r--r--    1 root    root                     8698 avril  1 20:36 /usr/share/man/man3/Config::Std.3pm.gz
drwxr-xr-x    2 root    root                        0 avril  1 20:36 /usr/share/perl5/vendor_perl/Config
-rw-r--r--    1 root    root                    34130 oct.  7 04:03 /usr/share/perl5/vendor_perl/Config/Std.pm
File permissions and layout are Ok.

$ rpm -q --requires -p perl-Config-Std-0.903-1.fc29.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.26.2)
      1 perl(:VERSION) >= 5.7.0
      1 perl(Carp)
      1 perl(Class::Std)
      1 perl(Fcntl)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p perl-Config-Std-0.903-1.fc29.noarch.rpm 
perl(Config::Std) = 0.903
perl(Config::Std::Block)
perl(Config::Std::Comment)
perl(Config::Std::Gap)
perl(Config::Std::Hash)
perl(Config::Std::Keyval)
perl-Config-Std = 0.903-1.fc29
Binary provides are Ok.


Package builds in F28 (https://koji.fedoraproject.org/koji/taskinfo?taskID=25765014)
Ok

The package is in line with Fedora and Perl packaging guidelines.

Please correct all 'FIX' items, and provide a new spec file.

Resolution: Package NOT approved.

Comment 2 Robert-André Mauchin 🐧 2018-04-01 19:04:06 UTC
I forgot:

→ NO_PACKLIST=1 requires perl(ExtUtils::MakeMaker) to be >= 6.76. Please add this requirement to the BR:

BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76

Comment 3 Robert Scheck 2018-04-01 23:54:55 UTC
Thank you very much for the review, I corrected the outlined points:

Spec URL: https://labs.linuxnetz.de/bugzilla/perl-Config-Std.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/perl-Config-Std-0.903-2.src.rpm

Comment 4 Robert-André Mauchin 🐧 2018-04-02 09:51:23 UTC
Package approved.

Comment 5 Robert Scheck 2018-04-02 12:07:33 UTC
Thank you very much for the review!

Comment 6 Gwyn Ciesla 2018-04-02 13:38:19 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Config-Std

Comment 7 Fedora Update System 2018-04-02 21:09:45 UTC
perl-Config-Std-0.903-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d5c020a56d

Comment 8 Fedora Update System 2018-04-02 21:10:20 UTC
perl-Config-Std-0.903-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6e03125c42

Comment 9 Fedora Update System 2018-04-03 15:25:15 UTC
perl-Config-Std-0.903-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ee385603e

Comment 10 Fedora Update System 2018-04-03 15:52:22 UTC
perl-Config-Std-0.903-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6e03125c42

Comment 11 Fedora Update System 2018-04-03 15:58:24 UTC
perl-Config-Std-0.903-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d5c020a56d

Comment 12 Fedora Update System 2018-04-07 22:13:56 UTC
perl-Config-Std-0.903-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-04-11 16:31:26 UTC
perl-Config-Std-0.903-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-04-11 19:08:11 UTC
perl-Config-Std-0.903-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.